Package org.eclipse.net4j.util

# Interface StringTester

All Superinterfaces:
  `BiPredicate<String,String>`

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

@FunctionalInterface public interface StringTester extends BiPredicate<String,String>
Tests the relationships of pairs of strings.

Since:
  3.23
Author:
  Eike Stepper

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static final class`
`StringTester.MetaFactory`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final StringTester`
`CONTAINS`
`static final StringTester`
`CONTAINS_CI`
`static final StringTester`
`EQ`
`static final StringTester`
`EQ_CI`
`static final StringTester`
`EQ_FLOAT`
`static final StringTester`
`EQ_INT`
`static final StringTester`
`GLOB`
`static final StringTester`
`GLOB_CI`
`static final StringTester`
`GT`
`static final StringTester`
`GT_CI`
`static final StringTester`
`GT_FLOAT`
`static final StringTester`
`GT_INT`
`static final StringTester`
`GTE`
`static final StringTester`
`GTE_CI`
`static final StringTester`
`GTE_FLOAT`
`static final StringTester`
`GTE_INT`
`static final StringTester`
`LT`
`static final StringTester`
`LT_CI`
`static final StringTester`
`LT_FLOAT`
`static final StringTester`
`LT_INT`
`static final StringTester`
`LTE`
`static final StringTester`
`LTE_CI`
`static final StringTester`
`LTE_FLOAT`
`static final StringTester`
`LTE_INT`
`static final StringTester`
`NEQ`
`static final StringTester`
`NEQ_CI`
`static final StringTester`
`NEQ_FLOAT`
`static final StringTester`
`NEQ_INT`
`static final String`
`PRODUCT_GROUP`
`static final StringTester`
`REGEX`
`static final StringTester`
`REGEX_CI`
`static final StringTester`
`REGEX_FIND`
`static final StringTester`
`REGEX_FIND_CI`

## Method Summary

Modifier and Type
Method
Description
`default StringTester`
`and(BiPredicate<? super String,? super String> other)`
`static StringTester`
`asFloat(DoubleBiPredicate other)`
`static StringTester`
`asInt(LongBiPredicate other)`
`default StringTester`
`caseInsensitive()`
`static StringTester`
`caseInsensitive(StringTester other)`
`default StringTester`
`negate()`
`default StringTester`
`or(BiPredicate<? super String,? super String> other)`
`default StringTester`
`safe()`
`static StringTester`
`safe(StringTester other)`
`boolean`
`test(String s1, String s2)`

## Field Details

### PRODUCT_GROUP

static final String PRODUCT_GROUP

See Also:
  - Constant Field Values

### EQ

static final StringTester EQ

### EQ_CI

static final StringTester EQ_CI

### EQ_INT

static final StringTester EQ_INT

### EQ_FLOAT

static final StringTester EQ_FLOAT

### NEQ

static final StringTester NEQ

### NEQ_CI

static final StringTester NEQ_CI

### NEQ_INT

static final StringTester NEQ_INT

### NEQ_FLOAT

static final StringTester NEQ_FLOAT

### LT

static final StringTester LT

### LT_CI

static final StringTester LT_CI

### LT_INT

static final StringTester LT_INT

### LT_FLOAT

static final StringTester LT_FLOAT

### LTE

static final StringTester LTE

### LTE_CI

static final StringTester LTE_CI

### LTE_INT

static final StringTester LTE_INT

### LTE_FLOAT

static final StringTester LTE_FLOAT

### GT

static final StringTester GT

### GT_CI

static final StringTester GT_CI

### GT_INT

static final StringTester GT_INT

### GT_FLOAT

static final StringTester GT_FLOAT

### GTE

static final StringTester GTE

### GTE_CI

static final StringTester GTE_CI

### GTE_INT

static final StringTester GTE_INT

### GTE_FLOAT

static final StringTester GTE_FLOAT

### CONTAINS

static final StringTester CONTAINS

### CONTAINS_CI

static final StringTester CONTAINS_CI

### REGEX

static final StringTester REGEX

### REGEX_CI

static final StringTester REGEX_CI

### REGEX_FIND

static final StringTester REGEX_FIND

### REGEX_FIND_CI

static final StringTester REGEX_FIND_CI

### GLOB

static final StringTester GLOB

### GLOB_CI

static final StringTester GLOB_CI

## Method Details

### test

boolean test(String s1, String s2)

Specified by:
  `test` in interface `BiPredicate<String,String>`

### negate

default StringTester negate()

Specified by:
  `negate` in interface `BiPredicate<String,String>`

### and

default StringTester and(BiPredicate<? super String,? super String> other)

Specified by:
  `and` in interface `BiPredicate<String,String>`

### or

default StringTester or(BiPredicate<? super String,? super String> other)

Specified by:
  `or` in interface `BiPredicate<String,String>`

### safe

default StringTester safe()

### caseInsensitive

default StringTester caseInsensitive()

### safe

static StringTester safe(StringTester other)

### caseInsensitive

static StringTester caseInsensitive(StringTester other)

### asInt

static StringTester asInt(LongBiPredicate other)

### asFloat

static StringTester asFloat(DoubleBiPredicate other)